﻿init offset = -1

screen nvl(dialogue, items=None):
    window:
        style "nvl_window"
        vbox spacing 30 align .5,1.0:
            use nvl_dialogue(dialogue)

            vbox spacing 10 xalign .5:
                for i in items:
                    textbutton i.caption:
                        action i.action
                        style "nvl_button"
                        xminimum 800

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):
    for d in dialogue:
        window:
            id d.window_id
            fixed fit_first True:
                frame xsize 800:
                    text d.what:
                        id d.what_id
                if d.who is not None:
                    text d.who:
                        id d.who_id
                        xpos 0.0 xanchor 1.0 xoffset -40


## This controls the maximum number of NVL-mode entries that can be displayed at
## once.
define config.nvl_list_length = 8

style nvl_button is zero
style nvl_button_text is zero

style nvl_window:
    xfill True
    yfill True

    background "#000c"
    padding (200,100)





