﻿init python:

    class ghost_pointer:
        def __init__(self, name, pos = (0,0), actions = None):
            self.name = name
            self.pos = pos
            self.actions = actions

    class map_class:
        def __init__(self, pointers):
            self.pointers = pointers or []
            self.x = 0
            self.y = 0

        def add(self, ghost):
            self.pointers.append(ghost)
        def remove(self, ghost):
            try:
                self.pointers.remove(ghost)
            except:
                renpy.notify("Failed to remove from map.")

            
style tv_button is zero
screen map_screen():
    style_prefix "tv"
    default g = map_class(
        pointers = [
            ghost_pointer("Office", (1150,650), Jump("office_1")),
            ghost_pointer("Office", (1300,222), Jump("office_1")),
        ]
    )
    frame:
        at map_open
        padding 20,20,20,60 background "#110e17" align .5,.5
        fixed fit_first True:
            viewport:
                xysize 1280,720
                xinitial 700
                draggable True
                fixed fit_first True:
                    add "map"
                    for i in g.pointers:
                        button:
                            anchor (.5,1.0) pos i.pos background None
                            fixed fit_first True:
                                add "map_pin"
                                add "map_pin_face" align .5,.2 at map_face_sway
                            action i.actions
                    
            frame:
                align (0.0, .0) background "#110e17b6" padding 10,10 offset 4,4
                text "X:{}, Y:{}".format(g.x,g.y)
            text "TvexT" align (0.5, 1.0) offset 0,40

            button:
                align (1.0, 1.0) offset -4,-4
                text "Close"
                action Jump("base")

transform map_open:
    zoom .2 alpha 0 rotate -10 offset (800,-100)
    ease .2 zoom 1 alpha 1 rotate 0 offset (0,0)
transform map_face_sway:
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    ease 2 offset (random.randint(-20,20), random.randint(-20,20))
    repeat


