﻿init offset = -1

screen history():
    tag menu
    predict False

    use game_menu(_("History")):
        style_prefix "history"
        frame align .5,.5 xysize 1200,800:
            viewport:
                # xfill False
                yinitial 1.0
                mousewheel True
                draggable True
                pagekeys True
                frame background None xfill True:
                    vbox spacing 30 align .5,1.0:
                        for h in _history_list:
                            hbox:
                                spacing 20
                                frame:
                                    xsize 300 align .0,.0
                                    background None
                                    if h.who:
                                        text h.who:
                                            substitute False
                                            xalign 1.0
                                            ## Take the color of the who text from the Character, if
                                            ## set.
                                            if "color" in h.who_args:
                                                color h.who_args["color"]
                                frame xsize 800:
                                    background None
                                    $ what = renpy.filter_text_tags(h.what, allow=gui.history_allow_tags)
                                    text what xalign .0
                    if not _history_list:
                        text _("The dialogue history is empty.")

## This determines what tags are allowed to be displayed on the history screen.
define gui.history_allow_tags = { "alt", "noalt" }


style history_text is zero
style history_frame is zero